# Generated by Django 4.2.2 on 2023-06-15 02:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Brand",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("status", models.BooleanField(default=True, verbose_name="status")),
                (
                    "url_key",
                    models.CharField(
                        help_text="Enter the url key of the search engine",
                        max_length=250,
                        verbose_name="url_key",
                    ),
                ),
                (
                    "meta_title",
                    models.CharField(
                        help_text="Enter the meta title of the search engine",
                        max_length=250,
                        verbose_name="meta_title",
                    ),
                ),
                (
                    "meta_description",
                    models.CharField(
                        help_text="Enter the meta description of the search engine",
                        max_length=250,
                        verbose_name="meta_description",
                    ),
                ),
                (
                    "meta_keywords",
                    models.CharField(
                        help_text="Enter the meta keywords of the search engine",
                        max_length=250,
                        verbose_name="meta_keywords",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Enter the name of the brand",
                        max_length=250,
                        verbose_name="name",
                    ),
                ),
            ],
            options={
                "verbose_name": "Brand",
                "verbose_name_plural": "Brands",
            },
        ),
        migrations.CreateModel(
            name="Category",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("status", models.BooleanField(default=True, verbose_name="status")),
                (
                    "url_key",
                    models.CharField(
                        help_text="Enter the url key of the search engine",
                        max_length=250,
                        verbose_name="url_key",
                    ),
                ),
                (
                    "meta_title",
                    models.CharField(
                        help_text="Enter the meta title of the search engine",
                        max_length=250,
                        verbose_name="meta_title",
                    ),
                ),
                (
                    "meta_description",
                    models.CharField(
                        help_text="Enter the meta description of the search engine",
                        max_length=250,
                        verbose_name="meta_description",
                    ),
                ),
                (
                    "meta_keywords",
                    models.CharField(
                        help_text="Enter the meta keywords of the search engine",
                        max_length=250,
                        verbose_name="meta_keywords",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Enter the name of the category",
                        max_length=250,
                        verbose_name="name",
                    ),
                ),
            ],
            options={
                "verbose_name": "Category",
                "verbose_name_plural": "Categories",
            },
        ),
        migrations.CreateModel(
            name="RootCategory",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("status", models.BooleanField(default=True, verbose_name="status")),
                (
                    "url_key",
                    models.CharField(
                        help_text="Enter the url key of the search engine",
                        max_length=250,
                        verbose_name="url_key",
                    ),
                ),
                (
                    "meta_title",
                    models.CharField(
                        help_text="Enter the meta title of the search engine",
                        max_length=250,
                        verbose_name="meta_title",
                    ),
                ),
                (
                    "meta_description",
                    models.CharField(
                        help_text="Enter the meta description of the search engine",
                        max_length=250,
                        verbose_name="meta_description",
                    ),
                ),
                (
                    "meta_keywords",
                    models.CharField(
                        help_text="Enter the meta keywords of the search engine",
                        max_length=250,
                        verbose_name="meta_keywords",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Enter the name of the root category",
                        max_length=250,
                        verbose_name="name",
                    ),
                ),
            ],
            options={
                "verbose_name": "RootCategory",
                "verbose_name_plural": "RootCategorys",
            },
        ),
        migrations.CreateModel(
            name="Tax",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("status", models.BooleanField(default=True, verbose_name="status")),
                (
                    "name",
                    models.CharField(
                        help_text="Enter the name of the tax",
                        max_length=250,
                        verbose_name="name",
                    ),
                ),
                (
                    "percentage",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="Enter the percentage of the tax",
                        max_digits=5,
                        verbose_name="percentage",
                    ),
                ),
            ],
            options={
                "verbose_name": "Tax",
                "verbose_name_plural": "Taxes",
            },
        ),
        migrations.CreateModel(
            name="Product",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("status", models.BooleanField(default=True, verbose_name="status")),
                (
                    "url_key",
                    models.CharField(
                        help_text="Enter the url key of the search engine",
                        max_length=250,
                        verbose_name="url_key",
                    ),
                ),
                (
                    "meta_title",
                    models.CharField(
                        help_text="Enter the meta title of the search engine",
                        max_length=250,
                        verbose_name="meta_title",
                    ),
                ),
                (
                    "meta_description",
                    models.CharField(
                        help_text="Enter the meta description of the search engine",
                        max_length=250,
                        verbose_name="meta_description",
                    ),
                ),
                (
                    "meta_keywords",
                    models.CharField(
                        help_text="Enter the meta keywords of the search engine",
                        max_length=250,
                        verbose_name="meta_keywords",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Enter the name of the product",
                        max_length=250,
                        verbose_name="name",
                    ),
                ),
                (
                    "sku",
                    models.CharField(
                        help_text="Enter the sku of the product",
                        max_length=250,
                        verbose_name="sku",
                    ),
                ),
                (
                    "description",
                    models.TextField(
                        help_text="Enter the description of the product",
                        verbose_name="description",
                    ),
                ),
                (
                    "short_description",
                    models.TextField(
                        help_text="Enter the short description of the product",
                        verbose_name="short_description",
                    ),
                ),
                (
                    "price",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="Enter the price of the product",
                        max_digits=10,
                        verbose_name="price",
                    ),
                ),
                (
                    "special_price",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="Enter the special price of the product",
                        max_digits=10,
                        verbose_name="special_price",
                    ),
                ),
                (
                    "special_price_from",
                    models.DateTimeField(
                        help_text="Enter the special price from of the product",
                        verbose_name="special_price_from",
                    ),
                ),
                (
                    "special_price_to",
                    models.DateTimeField(
                        help_text="Enter the special price to of the product",
                        verbose_name="special_price_to",
                    ),
                ),
                (
                    "stock",
                    models.IntegerField(
                        help_text="Enter the stock of the product", verbose_name="stock"
                    ),
                ),
                (
                    "brand",
                    models.ForeignKey(
                        help_text="Select the brand",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="product.brand",
                        verbose_name="brand",
                    ),
                ),
                (
                    "categories",
                    models.ManyToManyField(
                        help_text="Select the category",
                        to="product.category",
                        verbose_name="category",
                    ),
                ),
                (
                    "tax",
                    models.ForeignKey(
                        help_text="Select the tax",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="product.tax",
                        verbose_name="tax",
                    ),
                ),
            ],
            options={
                "verbose_name": "Product",
                "verbose_name_plural": "Products",
            },
        ),
        migrations.AddField(
            model_name="category",
            name="parent",
            field=models.ForeignKey(
                help_text="Select the root category",
                on_delete=django.db.models.deletion.CASCADE,
                to="product.rootcategory",
                verbose_name="root category",
            ),
        ),
    ]
