# Generated by Django 4.2.2 on 2023-06-15 04:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("product", "0003_alter_rootcategory_options_groupedproduct"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="productimage",
            options={
                "verbose_name": "Product Image",
                "verbose_name_plural": "Product Images",
            },
        ),
        migrations.AlterModelOptions(
            name="rootcategory",
            options={
                "verbose_name": "Root Category",
                "verbose_name_plural": "Root Categories",
            },
        ),
        migrations.AddField(
            model_name="product",
            name="measure",
            field=models.DecimalField(
                decimal_places=2,
                default=0.0,
                help_text="Enter the measure of the product",
                max_digits=10,
                verbose_name="Measure",
            ),
        ),
        migrations.AddField(
            model_name="product",
            name="unit_of_measure",
            field=models.CharField(
                choices=[
                    ("kg", "Kilogram"),
                    ("g", "Gram"),
                    ("l", "Liter"),
                    ("ml", "Milliliter"),
                    ("m", "Meter"),
                    ("cm", "Centimeter"),
                    ("mm", "Millimeter"),
                    ("in", "Inch"),
                    ("ft", "Foot"),
                    ("yd", "Yard"),
                    ("mi", "Mile"),
                    ("oz", "Ounce"),
                    ("lb", "Pound"),
                    ("st", "Stone"),
                    ("t", "Ton"),
                    ("gal", "Gallon"),
                    ("pt", "Pint"),
                    ("qt", "Quart"),
                    ("cup", "Cup"),
                    ("pc", "Piece"),
                    ("set", "Set"),
                    ("pair", "Pair"),
                    ("doz", "Dozen"),
                    ("box", "Box"),
                    ("pack", "Pack"),
                    ("roll", "Roll"),
                    ("bag", "Bag"),
                    ("bottle", "Bottle"),
                    ("tube", "Tube"),
                    ("can", "Can"),
                    ("jar", "Jar"),
                    ("case", "Case"),
                    ("other", "Other"),
                ],
                default="kg",
                help_text="Select the unit of measure of the product",
                max_length=250,
                verbose_name="Unit of measure",
            ),
        ),
        migrations.AddField(
            model_name="product",
            name="weight",
            field=models.DecimalField(
                decimal_places=2,
                default=0.0,
                help_text="Enter the weight of the product",
                max_digits=10,
                verbose_name="Weight",
            ),
        ),
        migrations.AlterField(
            model_name="brand",
            name="meta_description",
            field=models.CharField(
                help_text="Enter the meta description of the search engine",
                max_length=250,
                verbose_name="Meta description",
            ),
        ),
        migrations.AlterField(
            model_name="brand",
            name="meta_keywords",
            field=models.CharField(
                help_text="Enter the meta keywords of the search engine",
                max_length=250,
                verbose_name="Meta keywords",
            ),
        ),
        migrations.AlterField(
            model_name="brand",
            name="meta_title",
            field=models.CharField(
                help_text="Enter the meta title of the search engine",
                max_length=250,
                verbose_name="Meta title",
            ),
        ),
        migrations.AlterField(
            model_name="brand",
            name="name",
            field=models.CharField(
                help_text="Enter the name of the brand",
                max_length=250,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="brand",
            name="url_key",
            field=models.CharField(
                help_text="Enter the url key of the search engine",
                max_length=250,
                verbose_name="Url key",
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="meta_description",
            field=models.CharField(
                help_text="Enter the meta description of the search engine",
                max_length=250,
                verbose_name="Meta description",
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="meta_keywords",
            field=models.CharField(
                help_text="Enter the meta keywords of the search engine",
                max_length=250,
                verbose_name="Meta keywords",
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="meta_title",
            field=models.CharField(
                help_text="Enter the meta title of the search engine",
                max_length=250,
                verbose_name="Meta title",
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="name",
            field=models.CharField(
                help_text="Enter the name of the category",
                max_length=250,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="parent",
            field=models.ForeignKey(
                help_text="Select the root category",
                on_delete=django.db.models.deletion.CASCADE,
                to="product.rootcategory",
                verbose_name="Root category",
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="url_key",
            field=models.CharField(
                help_text="Enter the url key of the search engine",
                max_length=250,
                verbose_name="Url key",
            ),
        ),
        migrations.AlterField(
            model_name="groupedproduct",
            name="description",
            field=models.TextField(
                help_text="Enter the description of the grouped product",
                verbose_name="Description",
            ),
        ),
        migrations.AlterField(
            model_name="groupedproduct",
            name="meta_description",
            field=models.CharField(
                help_text="Enter the meta description of the search engine",
                max_length=250,
                verbose_name="Meta description",
            ),
        ),
        migrations.AlterField(
            model_name="groupedproduct",
            name="meta_keywords",
            field=models.CharField(
                help_text="Enter the meta keywords of the search engine",
                max_length=250,
                verbose_name="Meta keywords",
            ),
        ),
        migrations.AlterField(
            model_name="groupedproduct",
            name="meta_title",
            field=models.CharField(
                help_text="Enter the meta title of the search engine",
                max_length=250,
                verbose_name="Meta title",
            ),
        ),
        migrations.AlterField(
            model_name="groupedproduct",
            name="name",
            field=models.CharField(
                help_text="Enter the name of the grouped product",
                max_length=250,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="groupedproduct",
            name="products",
            field=models.ManyToManyField(
                help_text="Select the product",
                to="product.product",
                verbose_name="Product",
            ),
        ),
        migrations.AlterField(
            model_name="groupedproduct",
            name="short_description",
            field=models.TextField(
                help_text="Enter the short description of the grouped product",
                verbose_name="Short_description",
            ),
        ),
        migrations.AlterField(
            model_name="groupedproduct",
            name="sku",
            field=models.CharField(
                help_text="Enter the sku of the grouped product",
                max_length=250,
                verbose_name="Sku",
            ),
        ),
        migrations.AlterField(
            model_name="groupedproduct",
            name="url_key",
            field=models.CharField(
                help_text="Enter the url key of the search engine",
                max_length=250,
                verbose_name="Url key",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="categories",
            field=models.ManyToManyField(
                help_text="Select the category",
                to="product.category",
                verbose_name="Category",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="description",
            field=models.TextField(
                help_text="Enter the description of the product",
                verbose_name="Description",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="meta_description",
            field=models.CharField(
                help_text="Enter the meta description of the search engine",
                max_length=250,
                verbose_name="Meta description",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="meta_keywords",
            field=models.CharField(
                help_text="Enter the meta keywords of the search engine",
                max_length=250,
                verbose_name="Meta keywords",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="meta_title",
            field=models.CharField(
                help_text="Enter the meta title of the search engine",
                max_length=250,
                verbose_name="Meta title",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="name",
            field=models.CharField(
                help_text="Enter the name of the product",
                max_length=250,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="price",
            field=models.DecimalField(
                decimal_places=2,
                help_text="Enter the price of the product",
                max_digits=10,
                verbose_name="Price",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="short_description",
            field=models.TextField(
                help_text="Enter the short description of the product",
                verbose_name="Short description",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="sku",
            field=models.CharField(
                help_text="Enter the sku of the product",
                max_length=250,
                verbose_name="Sku",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="special_price",
            field=models.DecimalField(
                decimal_places=2,
                help_text="Enter the special price of the product",
                max_digits=10,
                verbose_name="Special price",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="special_price_from",
            field=models.DateTimeField(
                help_text="Enter the special price from of the product",
                verbose_name="Special price from",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="special_price_to",
            field=models.DateTimeField(
                help_text="Enter the special price to of the product",
                verbose_name="Special price to",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="stock",
            field=models.IntegerField(
                help_text="Enter the stock of the product", verbose_name="Stock"
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="tax",
            field=models.ForeignKey(
                help_text="Select the tax",
                on_delete=django.db.models.deletion.CASCADE,
                to="product.tax",
                verbose_name="Tax",
            ),
        ),
        migrations.AlterField(
            model_name="product",
            name="url_key",
            field=models.CharField(
                help_text="Enter the url key of the search engine",
                max_length=250,
                verbose_name="Url key",
            ),
        ),
        migrations.AlterField(
            model_name="productimage",
            name="alt",
            field=models.CharField(
                help_text="Enter the alt of the image",
                max_length=250,
                verbose_name="Alt",
            ),
        ),
        migrations.AlterField(
            model_name="productimage",
            name="image",
            field=models.ImageField(
                help_text="Select the image",
                upload_to="product/images/",
                verbose_name="Image",
            ),
        ),
        migrations.AlterField(
            model_name="productimage",
            name="product",
            field=models.ForeignKey(
                help_text="Select the product",
                on_delete=django.db.models.deletion.CASCADE,
                to="product.product",
                verbose_name="Product",
            ),
        ),
        migrations.AlterField(
            model_name="rootcategory",
            name="meta_description",
            field=models.CharField(
                help_text="Enter the meta description of the search engine",
                max_length=250,
                verbose_name="Meta description",
            ),
        ),
        migrations.AlterField(
            model_name="rootcategory",
            name="meta_keywords",
            field=models.CharField(
                help_text="Enter the meta keywords of the search engine",
                max_length=250,
                verbose_name="Meta keywords",
            ),
        ),
        migrations.AlterField(
            model_name="rootcategory",
            name="meta_title",
            field=models.CharField(
                help_text="Enter the meta title of the search engine",
                max_length=250,
                verbose_name="Meta title",
            ),
        ),
        migrations.AlterField(
            model_name="rootcategory",
            name="name",
            field=models.CharField(
                help_text="Enter the name of the root category",
                max_length=250,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="rootcategory",
            name="url_key",
            field=models.CharField(
                help_text="Enter the url key of the search engine",
                max_length=250,
                verbose_name="Url key",
            ),
        ),
        migrations.AlterField(
            model_name="tax",
            name="name",
            field=models.CharField(
                help_text="Enter the name of the tax",
                max_length=250,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="tax",
            name="percentage",
            field=models.DecimalField(
                decimal_places=2,
                help_text="Enter the percentage of the tax",
                max_digits=5,
                verbose_name="Percentage",
            ),
        ),
    ]
